@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

html {
    overflow-y: scroll;
}

body {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    font-family: Poppins;
    background-color: #e3e9f7;
}

/*
Header is relative so z-index: 1 guarantees always displayed on top
*/
header {
    background-color: #3b5998;
    padding: 10px;
    text-decoration: none;
    position: fixed;
    width: 100%;
    z-index: 1;
    -webkit-box-shadow: 0px 3px 7px 0px rgba(0, 0, 0, 0.4);
    box-shadow: 0px 3px 7px 0px rgba(0, 0, 0, 0.4);
}

/*
using background color is important to cover the menu
position absolute isset to cover the whole viewport
*/
#content {
    background-color: #e3e9f7;
    padding: 52px 10px 10px 10px;
    position: relative;
    width: auto;
    -webkit-box-shadow: -10px 0px 0px 0px rgba(0, 0, 0, 0.4);
    box-shadow: -10px 0px 0px 0px rgba(0, 0, 0, 0.4);
}

/*
the hamburger button with a little gradient effekt
*/
#hamburger {
    border: 1px solid #374C77;
    border-radius: 3px 3px 3px 3px;
    cursor: pointer;
    display: block;
    height: 24px;
    padding: 3px 4px 3px;
    position: relative;
    width: 25px;
    background: #4569b2;
    background: -moz-linear-gradient(top, #4569b2 0%, #4062a5 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #4569b2), color-stop(100%, #4062a5));
    background: -webkit-linear-gradient(top, #4569b2 0%, #4062a5 100%);
    background: -o-linear-gradient(top, #4569b2 0%, #4062a5 100%);
    background: -ms-linear-gradient(top, #4569b2 0%, #4062a5 100%);
    background: linear-gradient(to bottom, #4569b2 0%, #4062a5 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#4569b2', endColorstr='#4062a5', GradientType=0);
}

/*
The white stripes in the hamburger button
*/
#hamburger div {
    background-color: #fff;
    border: 1px solid #eee;
    border-radius: 2px 2px 2px 2px;
    height: 2px;
    margin-top: 3px;
    width: 90%;
}

/*
The navigation container in the background
*/
nav {
    opacity: 0;
    left: 0px;
    top: 0px;
    position: fixed;
    z-index: 0;
    width: 80%;
    height: 100%;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    overflow-x: hidden;
    overflow-y: auto;
    background: #ffffff;
}

/*
Style the navigation menu
*/
nav ul {
    list-style: none;
    margin: 0;
    width: 100%;
    padding: 0;
}

nav li {
    position: relative;
    font-size: 19px;
    padding: 4.5px;
}

nav li a {
    color: #919191;
    text-decoration: none;
}

/*
The Layer that will be layed over the content
so that the content is unclickable while menu is shown
*/
#contentLayer {
    display: none;
    height: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 30%;
    z-index: 5;
}

#user {
    position:relative;
    top: 23px;
    display: flex;
    color: #919191;
    font-size: 19px;
    flex-direction: column;
    align-items: center;
}

#logomenu {
    position:relative;
    top: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

